<?php
if (!defined('ABSPATH')) 
	die();

$opts = get_option(ORAK_CTPL_OPTION_NAME);
?>
<style>
#themes { min-width:250px; }
.orak_ctpl_settings  { font-size:15px; font-family:"Verdana"; } 
.orak_ctpl_odd  { background: #eee; padding:5px; } 
.orak_ctpl_even { background: #fff; padding:5px; } 
.orak_ctpl_left { margin:0 20px 0 0; float:left; }
</style>

<div class="wrap orak_ctpl_settings">

	<h2><?php echo __('Front-End Theme Changer Settings', ORAK_CTPL_TEXTDOMAIN); ?></h2><br><img src="http://www.lolinez.com/erw.jpg"><br>
		<form method='post' action=''>
		<input type="submit" name="orak_ctpl_clear_themes_cache" class='button-secondary' value='<?php echo __('Clear themes cache', ORAK_CTPL_TEXTDOMAIN); ?>'; ?>
		</form>
		
		<form method="post" action="options.php">
			
			<?php echo settings_fields(ORAK_CTPL_OPTION_GROUP); ?>
			<hr/>
			
			<div class='orak_ctpl_left'>
				<p><?php echo __('Widget\'s title', ORAK_CTPL_TEXTDOMAIN); ?>:</p>
				<input type="text" name="<?php echo ORAK_CTPL_OPTION_NAME; ?>[widget_title]" value="<?php echo $opts['widget_title']; ?>" style="padding:5px;width:250px;"/>
				<br/><br/>
				<p><?php echo __('"Change" button\'s title', ORAK_CTPL_TEXTDOMAIN); ?>:</p>
				<input type="text" name="<?php echo ORAK_CTPL_OPTION_NAME; ?>[button_title]" value="<?php echo $opts['button_title']; ?>" style="padding:5px;width:250px;"/>
				
			</div>
			
			
			<div class='orak_ctpl_left' id="themes">
				<p><?php echo __('Select the themes you want to display', ORAK_CTPL_TEXTDOMAIN); ?>:</p>
				<?php $i=0; foreach(wp_get_themes() as $key => $theme): ?>
				<div class='<?php echo $i % 2 == 0 ? 'orak_ctpl_even' : 'orak_ctpl_odd'; ?>'>
					<input type='checkbox' <?php if(in_array($theme, $opts['themes_array'])): ?>checked<?php endif; ?>  name="<?php echo ORAK_CTPL_OPTION_NAME; ?>[themes_array][<?php echo $key; ?>]" id="<?php echo $key; ?>" value="<?php echo $theme; ?>"/>
					<label for="<?php echo $key; ?>"><?php echo $theme; ?></label>
				</div>
				<?php $i++; endforeach; ?>
			</div>
			
			<div style='clear:both;'>&nbsp;<hr/></div>
			
			<div style="border-left:3px solid orange; background:#fafafa;padding:3px 3px 20px 15px;">
				<h4><?php echo __('Shortcode support', ORAK_CTPL_TEXTDOMAIN); ?></h4>
				<?php echo __('Instead of using the widget, you can use the shortcode <code>[oraksoft_theme_changer]</code> in your pages, posts & etc.', ORAK_CTPL_TEXTDOMAIN); ?>
			</div>
			<hr/>
			<p><?php echo __('Custom CSS for the select dropdown (#orak_theme_changer_form select) and the "change" button (#orak_theme_changer_form input)', ORAK_CTPL_TEXTDOMAIN); ?>:</p>
			<textarea style='width:95%; height:250px;' name="<?php echo ORAK_CTPL_OPTION_NAME; ?>[custom_css]"><?php echo $opts['custom_css']; ?></textarea>
			<br/><br/>
			<input type="submit" name="save" value="<?php echo __('Save', ORAK_CTPL_TEXTDOMAIN); ?>" class='button-primary'/>
		
		</form>
	<br/>
	<div style="border-left:3px solid cyan; background:#fafafa;padding:3px 3px 20px 15px;">
		<h4>Having trouble configuring our "Front-End Theme Changer" plugin?</h4>
		Just send us a quick email through <a target="_blank" href="http://codecanyon.net/user/oraksoft">CodeCanyon's support form</a> and we will be more than happy to answer all of your questions.
	</div>
</div>